Back to Google News
Apify·Google News

Google News Scraper

/lhotanova/google-news-scraperasync$0 / result

Gets featured articles from Google News with title, link, source, publication date and image. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • querystringrequired

    Enter search query as you would write it to Google News search bar. You can also use advanced search operators in your queries, such as 'intitle', 'inurl', 'site', exclude operator '-', exact match with double-quotes, 'AND', 'OR' and more. Example queries with advanced operators: 'intitle:samsung AN (default "")

  • topicsarray

    Select topics you want to search for using 'https://news.google.com/topics/' search. Note that your search query will not be combined with the selected topics but will be used as a standalone search. If you want to search for news only in the selected topics, leave the 'Search query' field empty. (default [])

  • topicsHashedarray

    Specify topics you want to search for using hashed topic URLs. This field is useful when you want to search for topics that are not available in the 'Topics' field. You can find hashed topic URLs in the URL of the topic page on 'https://news.google.com/topics/{TOPIC_HASH}'. The Actor also supports h (default [])

  • languagestringrequired

    Select your language and region pair. (default "US:en")

    US:en, SK:sk, AU:en, BW:en, CA:en, ET:en, GH:en, IN:en, …

  • maxItemsinteger

    Set the maximum number of items you want to scrape. If you leave this field unset, the actor will extract all news available for your search criteria. If you set this field to value less than or equal to 100, date filter won't be used with your search query. Otherwise, the scraper will search news p

  • fetchArticleDetailsboolean

    Check this option if you want to decode RSS links into actual article links and also fetch images from the article's page metadata. Please note that this option will increase the runtime of the actor because additional requests to article pages will be made. If you don't need decoded links and artic (default true)

  • dateFromstring

    Set the starting date. Only the news published on this or newer date will be scraped. If `Open-ended date range` field is set, `Date from` and `Date to` fields will be ignored.

  • dateTostring

    Set the finish date. Only the news published on this date or before will be scraped. If `Open-ended date range` field is set, `Date from` and `Date to` fields will be ignored.

  • openEndedDateRangestring

    Set the open-ended date range such as '1h' to scrape news published in the last hour, '2d' for the last two days, or '1y' for the last year. You can use any combination of numbers and letters 'h', 'd', and 'y' to specify the time range. If you set this field, the `Date from` and `Date to` fields wil

  • proxyConfigurationobjectrequired

    Use either automatic Apify proxies or your own. (default {"useApifyProxy":true})

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/lhotanova/google-news-scraper","input":{"query":"Tesla","language":"US:en","proxyConfiguration":{"useApifyProxy":true}}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.